
function wound_dist_max = getlength(B)
B = cell2mat(B);
X = B(:,2);
Y = B(:,1);
wound_dist = nan(length(B)-1,5);
wound_dist_final = nan(length(B)-1,5);

for i = 1:length(B)
    Xtemp = X(i);
    Ytemp = Y(i);
    for j = 1:length(B)
    wound_dist(j,1) = sqrt((Xtemp- X(j))^2 + (Ytemp - Y(j))^2);
    wound_dist(j,2:5) = [Xtemp Ytemp X(j) Y(j)];
    end
    n   = max(wound_dist(:,1));
    idx = find(wound_dist(:,1)== n);
    if length(idx) > 1
        idx = idx(1);
    end
    wound_dist_final(i,:) = wound_dist(idx,:);
end

nn = max(wound_dist_final(:,1));
idx = find(wound_dist_final(:,1) == nn);
    if length(idx) > 1
        idx = idx(1);
    end
wound_dist_max = wound_dist_final(idx,:);
